import * as React from "react";

import Quick from "./Quick";
import QuickItem from "./QuickItem";
import QuickCategory from "./QuickCategory";
import Clock from "./Clock";
import Search from "./Search";

class App extends React.Component {
	constructor(props) {
		super(props);
	}

	render(): JSX.Element {
		return <div>
			<div className="center-wrapper">
				<Clock/>
				<Search/>
				<Quick>
					<QuickCategory name="Productivity">
						<QuickItem name="Nextcloud" url="#"/>
						<QuickItem name="Git" url="#"/>
						<QuickItem name="GitHub" url="https://github.com/"/>
					</QuickCategory>

					<QuickCategory name="Personal">
						<QuickItem name="Youtube" url="https://youtube.com/"/>
						<QuickItem name="Reddit" url="https://reddit.com/"/>
						<QuickItem name="Netflix" url="https://netflix.com/"/>
					</QuickCategory>

					<QuickCategory name="Other">
						<QuickItem name="Bitwarden" url="#"/>
					</QuickCategory>
				</Quick>
			</div>
		</div>;
	}

}

export default App;
